diff --git a/src/responder/nss/nsssrv_cmd.c b/src/responder/nss/nsssrv_cmd.c
index 7220e3a..16557e1 100644
--- a/src/responder/nss/nsssrv_cmd.c
+++ b/src/responder/nss/nsssrv_cmd.c
@@ -125,7 +125,7 @@ void nss_update_pw_memcache(struct nss_ctx *nctx)
         ret = sysdb_enumpwent(nctx, dom->sysdb, dom, &res);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to enumerate users for domain [%s]\n", dom->name));
+                  "Failed to enumerate users for domain [%s]\n", dom->name);
             continue;
         }
 
@@ -142,8 +142,8 @@ void nss_update_pw_memcache(struct nss_ctx *nctx)
             id = ldb_msg_find_attr_as_string(res->msgs[i], SYSDB_UIDNUM, NULL);
             if (!id) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to find uidNumber in %s.\n",
-                       ldb_dn_get_linearized(res->msgs[i]->dn)));
+                      "Failed to find uidNumber in %s.\n",
+                       ldb_dn_get_linearized(res->msgs[i]->dn));
                 continue;
             }
             to_sized_string(&key, id);
@@ -151,8 +151,8 @@ void nss_update_pw_memcache(struct nss_ctx *nctx)
             ret = sss_mmap_cache_pw_invalidate(nctx->pwd_mc_ctx, &key);
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Internal failure in memory cache code: %d [%s]\n",
-                       ret, strerror(ret)));
+                      "Internal failure in memory cache code: %d [%s]\n",
+                       ret, strerror(ret));
             }
         }
 
@@ -241,8 +241,8 @@ static const char *get_shell_override(TALLOC_CTX *mem_ctx,
     if (nctx->vetoed_shells) {
         for (i=0; nctx->vetoed_shells[i]; i++) {
             if (strcmp(nctx->vetoed_shells[i], user_shell) == 0) {
-                DEBUG(5, ("The shell '%s' is vetoed. "
-                         "Using fallback\n", user_shell));
+                DEBUG(5, "The shell '%s' is vetoed. "
+                         "Using fallback\n", user_shell);
                 return talloc_strdup(mem_ctx, nctx->shell_fallback);
             }
         }
@@ -251,14 +251,14 @@ static const char *get_shell_override(TALLOC_CTX *mem_ctx,
     if (nctx->etc_shells) {
         for (i=0; nctx->etc_shells[i]; i++) {
             if (strcmp(user_shell, nctx->etc_shells[i]) == 0) {
-                DEBUG(9, ("Shell %s found in /etc/shells\n",
-                        nctx->etc_shells[i]));
+                DEBUG(9, "Shell %s found in /etc/shells\n",
+                        nctx->etc_shells[i]);
                 break;
             }
         }
 
         if (nctx->etc_shells[i]) {
-            DEBUG(9, ("Using original shell '%s'\n", user_shell));
+            DEBUG(9, "Using original shell '%s'\n", user_shell);
             return talloc_strdup(mem_ctx, user_shell);
         }
     }
@@ -266,15 +266,15 @@ static const char *get_shell_override(TALLOC_CTX *mem_ctx,
     if (nctx->allowed_shells) {
         for (i=0; nctx->allowed_shells[i]; i++) {
             if (strcmp(nctx->allowed_shells[i], user_shell) == 0) {
-                DEBUG(5, ("The shell '%s' is allowed but does not exist. "
-                        "Using fallback\n", user_shell));
+                DEBUG(5, "The shell '%s' is allowed but does not exist. "
+                        "Using fallback\n", user_shell);
                 return talloc_strdup(mem_ctx, nctx->shell_fallback);
             }
         }
     }
 
-    DEBUG(5, ("The shell '%s' is not allowed and does not exist.\n",
-              user_shell));
+    DEBUG(5, "The shell '%s' is not allowed and does not exist.\n",
+              user_shell);
     return talloc_strdup(mem_ctx, NOLOGIN_SHELL);
 }
 
@@ -328,8 +328,8 @@ static int fill_pwent(struct sss_packet *packet,
         gid = get_gid_override(msg, dom);
 
         if (!orig_name || !uid || !gid) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Incomplete user object for %s[%llu]! Skipping\n",
-                      orig_name?orig_name:"<NULL>", (unsigned long long int)uid));
+            DEBUG(SSSDBG_OP_FAILURE, "Incomplete user object for %s[%llu]! Skipping\n",
+                      orig_name?orig_name:"<NULL>", (unsigned long long int)uid);
             continue;
         }
 
@@ -339,8 +339,8 @@ static int fill_pwent(struct sss_packet *packet,
                                         dom, orig_name);
             if (ncret == EEXIST) {
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("User [%s@%s] filtered out! (negative cache)\n",
-                       orig_name, domain));
+                      "User [%s@%s] filtered out! (negative cache)\n",
+                       orig_name, domain);
                 continue;
             }
         }
@@ -355,7 +355,7 @@ static int fill_pwent(struct sss_packet *packet,
         tmpstr = sss_get_cased_name(tmp_ctx, orig_name, dom->case_sensitive);
         if (tmpstr == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("sss_get_cased_name failed, skipping\n"));
+                  "sss_get_cased_name failed, skipping\n");
             continue;
         }
         to_sized_string(&name, tmpstr);
@@ -413,8 +413,8 @@ static int fill_pwent(struct sss_packet *packet,
             }
 
             if (ret != name.len + delim + dom_len - 1) {
-                DEBUG(1, ("Failed to generate a fully qualified name for user "
-                          "[%s] in [%s]! Skipping user.\n", name.str, domain));
+                DEBUG(1, "Failed to generate a fully qualified name for user "
+                          "[%s] in [%s]! Skipping user.\n", name.str, domain);
                 continue;
             }
         } else {
@@ -441,8 +441,8 @@ static int fill_pwent(struct sss_packet *packet,
                                           &gecos, &homedir, &shell);
             if (ret != EOK && ret != ENOMEM) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to store user %s(%s) in mmap cache!\n",
-                        name.str, domain));
+                      "Failed to store user %s(%s) in mmap cache!\n",
+                        name.str, domain);
             }
         }
     }
@@ -516,8 +516,8 @@ errno_t check_cache(struct nss_dom_ctx *dctx,
      */
     if ((req_type == SSS_DP_USER || req_type == SSS_DP_NETGR) &&
             (res->count > 1)) {
-        DEBUG(1, ("getpwXXX call returned more than one result!"
-                  " DB Corrupted?\n"));
+        DEBUG(1, "getpwXXX call returned more than one result!"
+                  " DB Corrupted?\n");
         return ENOENT;
     }
 
@@ -536,10 +536,10 @@ errno_t check_cache(struct nss_dom_ctx *dctx,
         ret = sss_cmd_check_cache(res->msgs[0], nctx->cache_refresh_percent,
                                   cacheExpire);
         if (ret == EOK) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Cached entry is valid, returning..\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Cached entry is valid, returning..\n");
             return EOK;
         } else if (ret != EAGAIN && ret != ENOENT) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Error checking cache: %d\n", ret));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Error checking cache: %d\n", ret);
             goto error;
         }
     } else {
@@ -555,17 +555,17 @@ errno_t check_cache(struct nss_dom_ctx *dctx,
          * immediately.
          */
         DEBUG(SSSDBG_TRACE_FUNC,
-             ("Performing midpoint cache update on [%s]\n", opt_name));
+             "Performing midpoint cache update on [%s]\n", opt_name);
 
         req = sss_dp_get_account_send(cctx, cctx->rctx, dctx->domain, true,
                                       req_type, opt_name, opt_id, NULL);
         if (!req) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Out of memory sending out-of-band data provider "
-                   "request\n"));
+                  "Out of memory sending out-of-band data provider "
+                   "request\n");
             /* This is non-fatal, so we'll continue here */
         } else {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Updating cache out-of-band\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Updating cache out-of-band\n");
         }
 
         /* We don't need to listen for a reply, so we will free the
@@ -590,7 +590,7 @@ errno_t check_cache(struct nss_dom_ctx *dctx,
                                       req_type, opt_name, opt_id, NULL);
         if (!req) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Out of memory sending data provider request\n"));
+                  "Out of memory sending data provider request\n");
             ret = ENOMEM;
             goto error;
         }
@@ -653,14 +653,14 @@ static int delete_entry_from_memcache(struct sss_domain_info *dom, char *name,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory.\n");
         return ENOMEM;
     }
 
     if (dom->fqnames) {
         fqdn = sss_tc_fqname(tmp_ctx, dom->names, dom, name);
         if (fqdn == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -672,8 +672,8 @@ static int delete_entry_from_memcache(struct sss_domain_info *dom, char *name,
     ret = sss_mmap_cache_pw_invalidate(mc_ctx, &delete_name);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Internal failure in memory cache code: %d [%s]\n",
-               ret, strerror(ret)));
+              "Internal failure in memory cache code: %d [%s]\n",
+               ret, strerror(ret));
         goto done;
     }
 
@@ -737,8 +737,8 @@ static int nss_cmd_getpwnam_search(struct nss_dom_ctx *dctx)
         /* if neg cached, return we didn't find it */
         if (ret == EEXIST) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("User [%s] does not exist in [%s]! (negative cache)\n",
-                   name, dom->name));
+                  "User [%s] does not exist in [%s]! (negative cache)\n",
+                   name, dom->name);
             /* if a multidomain search, try with next */
             if (cmdctx->check_next) {
                 dom = get_next_domain(dom, false);
@@ -750,22 +750,22 @@ static int nss_cmd_getpwnam_search(struct nss_dom_ctx *dctx)
             return ENOENT;
         }
 
-        DEBUG(4, ("Requesting info for [%s@%s]\n", name, dom->name));
+        DEBUG(4, "Requesting info for [%s@%s]\n", name, dom->name);
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
-            DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+            DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
             return EIO;
         }
 
         ret = sysdb_getpwnam(cmdctx, sysdb, dom, name, &dctx->res);
         if (ret != EOK) {
-            DEBUG(1, ("Failed to make request to our cache!\n"));
+            DEBUG(1, "Failed to make request to our cache!\n");
             return EIO;
         }
 
         if (dctx->res->count > 1) {
-            DEBUG(0, ("getpwnam call returned more than one result !?!\n"));
+            DEBUG(0, "getpwnam call returned more than one result !?!\n");
             return ENOENT;
         }
 
@@ -773,8 +773,8 @@ static int nss_cmd_getpwnam_search(struct nss_dom_ctx *dctx)
             /* set negative cache only if not result of cache check */
             ret = sss_ncache_set_user(nctx->ncache, false, dom, name);
             if (ret != EOK) {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Cannot set negcache for %s@%s\n",
-                      name, dom->name));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Cannot set negcache for %s@%s\n",
+                      name, dom->name);
             }
 
             /* if a multidomain search, try with next */
@@ -783,14 +783,14 @@ static int nss_cmd_getpwnam_search(struct nss_dom_ctx *dctx)
                 if (dom) continue;
             }
 
-            DEBUG(2, ("No results for getpwnam call\n"));
+            DEBUG(2, "No results for getpwnam call\n");
 
             /* User not found in ldb -> delete user from memory cache. */
             ret = delete_entry_from_memcache(dctx->domain, name,
                                              nctx->pwd_mc_ctx);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Deleting user from memcache failed.\n"));
+                      "Deleting user from memcache failed.\n");
             }
 
             return ENOENT;
@@ -812,13 +812,13 @@ static int nss_cmd_getpwnam_search(struct nss_dom_ctx *dctx)
         }
 
         /* One result found */
-        DEBUG(6, ("Returning info for user [%s@%s]\n", name, dom->name));
+        DEBUG(6, "Returning info for user [%s@%s]\n", name, dom->name);
 
         return EOK;
     }
 
     DEBUG(SSSDBG_MINOR_FAILURE,
-          ("No matching domain found for [%s], fail!\n", cmdctx->name));
+          "No matching domain found for [%s], fail!\n", cmdctx->name);
     return ENOENT;
 }
 
@@ -842,10 +842,10 @@ static void nss_cmd_getby_dp_callback(uint16_t err_maj, uint32_t err_min,
     bool check_subdomains;
 
     if (err_maj) {
-        DEBUG(2, ("Unable to get information from Data Provider\n"
+        DEBUG(2, "Unable to get information from Data Provider\n"
                   "Error: %u, %u, %s\n"
                   "Will try to return what we have in cache\n",
-                  (unsigned int)err_maj, (unsigned int)err_min, err_msg));
+                  (unsigned int)err_maj, (unsigned int)err_min, err_msg);
 
         if ((dctx->res && dctx->res->count == 1) ||
             (dctx->cmdctx->cmd == SSS_NSS_INITGR &&
@@ -873,8 +873,8 @@ static void nss_cmd_getby_dp_callback(uint16_t err_maj, uint32_t err_min,
                 ret = nss_cmd_getbysid_send_reply(dctx);
                 break;
             default:
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command [%d].\n",
-                                            dctx->cmdctx->cmd));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command [%d].\n",
+                                            dctx->cmdctx->cmd);
                 ret = EINVAL;
             }
             goto done;
@@ -963,8 +963,8 @@ static void nss_cmd_getby_dp_callback(uint16_t err_maj, uint32_t err_min,
         }
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command [%d].\n",
-                                    dctx->cmdctx->cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command [%d].\n",
+                                    dctx->cmdctx->cmd);
         ret = EINVAL;
     }
 
@@ -1001,7 +1001,7 @@ static int nss_cmd_getbynam(enum sss_cli_command cmd, struct cli_ctx *cctx)
     case SSS_NSS_GETSIDBYNAME:
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command type [%d].\n", cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command type [%d].\n", cmd);
         return EINVAL;
     }
 
@@ -1036,8 +1036,8 @@ static int nss_cmd_getbynam(enum sss_cli_command cmd, struct cli_ctx *cctx)
 
     rawname = (const char *)body;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Running command [%d] with input [%s].\n",
-                               dctx->cmdctx->cmd, rawname));
+    DEBUG(SSSDBG_TRACE_FUNC, "Running command [%d] with input [%s].\n",
+                               dctx->cmdctx->cmd, rawname);
 
     domname = NULL;
     ret = sss_parse_name_for_domains(cmdctx, cctx->rctx->domains,
@@ -1054,13 +1054,13 @@ static int nss_cmd_getbynam(enum sss_cli_command cmd, struct cli_ctx *cctx)
         }
         goto done;
     } else if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Invalid name received [%s]\n", rawname));
+        DEBUG(SSSDBG_OP_FAILURE, "Invalid name received [%s]\n", rawname);
         ret = ENOENT;
         goto done;
     }
 
-    DEBUG(4, ("Requesting info for [%s] from [%s]\n",
-              cmdctx->name, domname?domname:"<ALL>"));
+    DEBUG(4, "Requesting info for [%s] from [%s]\n",
+              cmdctx->name, domname?domname:"<ALL>");
 
     if (domname) {
         dctx->domain = responder_get_domain(cctx->rctx, domname);
@@ -1117,8 +1117,8 @@ static int nss_cmd_getbynam(enum sss_cli_command cmd, struct cli_ctx *cctx)
         }
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command [%d].\n",
-                                    dctx->cmdctx->cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command [%d].\n",
+                                    dctx->cmdctx->cmd);
         ret = EINVAL;
     }
 
@@ -1145,13 +1145,13 @@ static void nss_cmd_getbynam_done(struct tevent_req *req)
                                      cctx->rctx->default_domain, rawname,
                                      &domname, &cmdctx->name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Invalid name received [%s]\n", rawname));
+        DEBUG(SSSDBG_OP_FAILURE, "Invalid name received [%s]\n", rawname);
         ret = ENOENT;
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Requesting info for [%s] from [%s]\n",
-              cmdctx->name, domname?domname:"<ALL>"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Requesting info for [%s] from [%s]\n",
+              cmdctx->name, domname?domname:"<ALL>");
 
     if (domname) {
         dctx->domain = responder_get_domain(cctx->rctx, domname);
@@ -1197,8 +1197,8 @@ static void nss_cmd_getbynam_done(struct tevent_req *req)
         }
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command [%d].\n",
-                                     dctx->cmdctx->cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command [%d].\n",
+                                     dctx->cmdctx->cmd);
         ret = EINVAL;
     }
 
@@ -1231,9 +1231,9 @@ static int nss_cmd_getpwuid_search(struct nss_dom_ctx *dctx)
         /* check that the uid is valid for this domain */
         if ((dom->id_min && (cmdctx->id < dom->id_min)) ||
             (dom->id_max && (cmdctx->id > dom->id_max))) {
-            DEBUG(4, ("Uid [%lu] does not exist in domain [%s]! "
+            DEBUG(4, "Uid [%lu] does not exist in domain [%s]! "
                       "(id out of range)\n",
-                      (unsigned long)cmdctx->id, dom->name));
+                      (unsigned long)cmdctx->id, dom->name);
             if (cmdctx->check_next) {
                 dom = get_next_domain(dom, true);
                 continue;
@@ -1251,24 +1251,24 @@ static int nss_cmd_getpwuid_search(struct nss_dom_ctx *dctx)
         /* make sure to update the dctx if we changed domain */
         dctx->domain = dom;
 
-        DEBUG(4, ("Requesting info for [%d@%s]\n", cmdctx->id, dom->name));
+        DEBUG(4, "Requesting info for [%d@%s]\n", cmdctx->id, dom->name);
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
-            DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+            DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
             ret = EIO;
             goto done;
         }
 
         ret = sysdb_getpwuid(cmdctx, sysdb, dom, cmdctx->id, &dctx->res);
         if (ret != EOK) {
-            DEBUG(1, ("Failed to make request to our cache!\n"));
+            DEBUG(1, "Failed to make request to our cache!\n");
             ret = EIO;
             goto done;
         }
 
         if (dctx->res->count > 1) {
-            DEBUG(0, ("getpwuid call returned more than one result !?!\n"));
+            DEBUG(0, "getpwuid call returned more than one result !?!\n");
             ret = ENOENT;
             goto done;
         }
@@ -1281,7 +1281,7 @@ static int nss_cmd_getpwuid_search(struct nss_dom_ctx *dctx)
             }
 
             /* set negative cache only if not result of cache check */
-            DEBUG(SSSDBG_MINOR_FAILURE, ("No results for getpwuid call\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "No results for getpwuid call\n");
             ret = ENOENT;
             goto done;
         }
@@ -1302,7 +1302,7 @@ static int nss_cmd_getpwuid_search(struct nss_dom_ctx *dctx)
         }
 
         /* One result found */
-        DEBUG(6, ("Returning info for uid [%d@%s]\n", cmdctx->id, dom->name));
+        DEBUG(6, "Returning info for uid [%d@%s]\n", cmdctx->id, dom->name);
 
         ret = EOK;
         goto done;
@@ -1316,11 +1316,11 @@ done:
         err = sss_ncache_set_uid(nctx->ncache, false, cmdctx->id);
         if (err != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                ("Cannot set negative cache for UID %d\n", cmdctx->id));
+                "Cannot set negative cache for UID %d\n", cmdctx->id);
         }
     }
 
-    DEBUG(SSSDBG_MINOR_FAILURE, ("No matching domain found for [%d]\n", cmdctx->id));
+    DEBUG(SSSDBG_MINOR_FAILURE, "No matching domain found for [%d]\n", cmdctx->id);
     return ret;
 }
 
@@ -1348,7 +1348,7 @@ static int nss_cmd_getbyid(enum sss_cli_command cmd, struct cli_ctx *cctx)
     case SSS_NSS_GETSIDBYID:
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command type [%d].\n", cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command type [%d].\n", cmd);
         return EINVAL;
     }
 
@@ -1377,16 +1377,16 @@ static int nss_cmd_getbyid(enum sss_cli_command cmd, struct cli_ctx *cctx)
     }
     cmdctx->id = *((uint32_t *)body);
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Running command [%d] with id [%d].\n",
-                              dctx->cmdctx->cmd, cmdctx->id));
+    DEBUG(SSSDBG_TRACE_FUNC, "Running command [%d] with id [%d].\n",
+                              dctx->cmdctx->cmd, cmdctx->id);
 
     switch(dctx->cmdctx->cmd) {
     case SSS_NSS_GETPWUID:
         ret = sss_ncache_check_uid(nctx->ncache, nctx->neg_timeout, cmdctx->id);
         if (ret == EEXIST) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Uid [%lu] does not exist! (negative cache)\n",
-                   (unsigned long)cmdctx->id));
+                  "Uid [%lu] does not exist! (negative cache)\n",
+                   (unsigned long)cmdctx->id);
             ret = ENOENT;
             goto done;
         }
@@ -1395,8 +1395,8 @@ static int nss_cmd_getbyid(enum sss_cli_command cmd, struct cli_ctx *cctx)
         ret = sss_ncache_check_gid(nctx->ncache, nctx->neg_timeout, cmdctx->id);
         if (ret == EEXIST) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Gid [%lu] does not exist! (negative cache)\n",
-                   (unsigned long)cmdctx->id));
+                  "Gid [%lu] does not exist! (negative cache)\n",
+                   (unsigned long)cmdctx->id);
             ret = ENOENT;
             goto done;
         }
@@ -1409,15 +1409,15 @@ static int nss_cmd_getbyid(enum sss_cli_command cmd, struct cli_ctx *cctx)
         }
         if (ret == EEXIST) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Id [%lu] does not exist! (negative cache)\n",
-                   (unsigned long)cmdctx->id));
+                  "Id [%lu] does not exist! (negative cache)\n",
+                   (unsigned long)cmdctx->id);
             ret = ENOENT;
             goto done;
         }
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command [%d].\n",
-                                    dctx->cmdctx->cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command [%d].\n",
+                                    dctx->cmdctx->cmd);
         ret = EINVAL;
         goto done;
     }
@@ -1462,8 +1462,8 @@ static int nss_cmd_getbyid(enum sss_cli_command cmd, struct cli_ctx *cctx)
         }
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command [%d].\n",
-                                    dctx->cmdctx->cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command [%d].\n",
+                                    dctx->cmdctx->cmd);
         ret = EINVAL;
     }
 
@@ -1504,8 +1504,8 @@ static void nss_cmd_getbyid_done(struct tevent_req *req)
         ret = responder_get_domain_by_id(cmdctx->cctx->rctx, cmdctx->secid,
                                          &dctx->domain);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Cannot find domain for SID [%s].\n",
-                                      cmdctx->secid));
+            DEBUG(SSSDBG_OP_FAILURE, "Cannot find domain for SID [%s].\n",
+                                      cmdctx->secid);
             ret = ENOENT;
             goto done;
         }
@@ -1524,8 +1524,8 @@ static void nss_cmd_getbyid_done(struct tevent_req *req)
         }
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command [%d].\n",
-                                    dctx->cmdctx->cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command [%d].\n",
+                                    dctx->cmdctx->cmd);
         ret = EINVAL;
     }
 
@@ -1568,7 +1568,7 @@ static int nss_cmd_setpwent(struct cli_ctx *cctx)
 
     req = nss_cmd_setpwent_send(cmdctx, cctx);
     if (!req) {
-        DEBUG(0, ("Fatal error calling nss_cmd_setpwent_send\n"));
+        DEBUG(0, "Fatal error calling nss_cmd_setpwent_send\n");
         ret = EIO;
         goto done;
     }
@@ -1589,7 +1589,7 @@ struct tevent_req *nss_cmd_setpwent_send(TALLOC_CTX *mem_ctx,
     struct sss_domain_info *dom;
     struct setent_step_ctx *step_ctx;
 
-    DEBUG(4, ("Received setpwent request\n"));
+    DEBUG(4, "Received setpwent request\n");
     nctx = talloc_get_type(client->rctx->pvt_ctx, struct nss_ctx);
 
     /* Reset the read pointers */
@@ -1598,7 +1598,7 @@ struct tevent_req *nss_cmd_setpwent_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct setent_ctx);
     if (!req) {
-        DEBUG(0, ("Could not create tevent request for setpwent\n"));
+        DEBUG(0, "Could not create tevent request for setpwent\n");
         return NULL;
     }
 
@@ -1618,7 +1618,7 @@ struct tevent_req *nss_cmd_setpwent_send(TALLOC_CTX *mem_ctx,
     state->dctx->domain = dom;
 
     if (state->dctx->domain == NULL) {
-        DEBUG(2, ("Enumeration disabled on all domains!\n"));
+        DEBUG(2, "Enumeration disabled on all domains!\n");
         ret = ENOENT;
         goto error;
     }
@@ -1739,11 +1739,11 @@ static errno_t nss_cmd_setpwent_step(struct setent_step_ctx *step_ctx)
         /* make sure to update the dctx if we changed domain */
         dctx->domain = dom;
 
-        DEBUG(6, ("Requesting info for domain [%s]\n", dom->name));
+        DEBUG(6, "Requesting info for domain [%s]\n", dom->name);
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
-            DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+            DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
             return EIO;
         }
 
@@ -1758,9 +1758,9 @@ static errno_t nss_cmd_setpwent_step(struct setent_step_ctx *step_ctx)
                                           SSS_DP_USER, NULL, 0, NULL);
             if (!dpreq) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Enum Cache refresh for domain [%s] failed."
+                      "Enum Cache refresh for domain [%s] failed."
                        " Trying to return what we have in cache!\n",
-                       dom->name));
+                       dom->name);
             } else {
                 cb_ctx = talloc_zero(step_ctx, struct dp_callback_ctx);
                 if(!cb_ctx) {
@@ -1781,14 +1781,14 @@ static errno_t nss_cmd_setpwent_step(struct setent_step_ctx *step_ctx)
 
         ret = sysdb_enumpwent(dctx, sysdb, dom, &res);
         if (ret != EOK) {
-            DEBUG(1, ("Enum from cache failed, skipping domain [%s]\n",
-                      dom->name));
+            DEBUG(1, "Enum from cache failed, skipping domain [%s]\n",
+                      dom->name);
             dom = get_next_domain(dom, true);
             continue;
         }
 
         if (res->count == 0) {
-            DEBUG(4, ("Domain [%s] has no users, skipping.\n", dom->name));
+            DEBUG(4, "Domain [%s] has no users, skipping.\n", dom->name);
             dom = get_next_domain(dom, true);
             continue;
         }
@@ -1823,8 +1823,8 @@ static errno_t nss_cmd_setpwent_step(struct setent_step_ctx *step_ctx)
     te = tevent_add_timer(rctx->ev, nctx->pctx, tv,
                           setpwent_result_timeout, nctx);
     if (!te) {
-        DEBUG(0, ("Could not set up life timer for setpwent result object. "
-                  "Entries may become stale.\n"));
+        DEBUG(0, "Could not set up life timer for setpwent result object. "
+                  "Entries may become stale.\n");
     }
 
     /* Notify the waiting clients */
@@ -1844,7 +1844,7 @@ static void setpwent_result_timeout(struct tevent_context *ev,
 {
     struct nss_ctx *nctx = talloc_get_type(pvt, struct nss_ctx);
 
-    DEBUG(1, ("setpwent result object has expired. Cleaning up.\n"));
+    DEBUG(1, "setpwent result object has expired. Cleaning up.\n");
 
     /* Free the passwd enumeration context.
      * If additional getpwent requests come in, they will invoke
@@ -1861,10 +1861,10 @@ static void nss_cmd_setpwent_dp_callback(uint16_t err_maj, uint32_t err_min,
     int ret;
 
     if (err_maj) {
-        DEBUG(2, ("Unable to get information from Data Provider\n"
+        DEBUG(2, "Unable to get information from Data Provider\n"
                   "Error: %u, %u, %s\n"
                   "Will try to return what we have in cache\n",
-                  (unsigned int)err_maj, (unsigned int)err_min, err_msg));
+                  (unsigned int)err_maj, (unsigned int)err_min, err_msg);
     }
 
     ret = nss_cmd_setpwent_step(step_ctx);
@@ -1910,7 +1910,7 @@ static int nss_cmd_getpwent(struct cli_ctx *cctx)
     struct nss_cmd_ctx *cmdctx;
     struct tevent_req *req;
 
-    DEBUG(4, ("Requesting info for all accounts\n"));
+    DEBUG(4, "Requesting info for all accounts\n");
 
     cmdctx = talloc_zero(cctx, struct nss_cmd_ctx);
     if (!cmdctx) {
@@ -2004,10 +2004,10 @@ static int nss_cmd_retpwent(struct cli_ctx *cctx, int num)
         if (!n) break;
 
         if (n < 0) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("BUG: Negative difference"
-                  "[%d - %d = %d]\n", pdom->res->count, cctx->pwent_cur, n));
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Domain: %d (total %d)\n",
-                                        cctx->pwent_dom_idx, pctx->num));
+            DEBUG(SSSDBG_CRIT_FAILURE, "BUG: Negative difference"
+                  "[%d - %d = %d]\n", pdom->res->count, cctx->pwent_cur, n);
+            DEBUG(SSSDBG_CRIT_FAILURE, "Domain: %d (total %d)\n",
+                                        cctx->pwent_dom_idx, pctx->num);
             break;
         }
 
@@ -2042,8 +2042,8 @@ static void nss_cmd_implicit_setpwent_done(struct tevent_req *req)
      * later.
      */
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(0, ("Implicit setpwent failed with unexpected error [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(0, "Implicit setpwent failed with unexpected error [%d][%s]\n",
+                  ret, strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 
@@ -2053,8 +2053,8 @@ static void nss_cmd_implicit_setpwent_done(struct tevent_req *req)
 
     ret = nss_cmd_getpwent_immediate(cmdctx);
     if (ret != EOK) {
-        DEBUG(0, ("Immediate retrieval failed with unexpected error "
-                  "[%d][%s]\n", ret, strerror(ret)));
+        DEBUG(0, "Immediate retrieval failed with unexpected error "
+                  "[%d][%s]\n", ret, strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 }
